if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
interface FuncAIndex_Params {
}
import type common from "@ohos:app.ability.common";
import hilog from "@ohos:hilog";
const DOMAIN_NUMBER: number = 0xFF00;
const TAG: string = '[Page_FuncAIndex]';
class FuncAIndex extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params: FuncAIndex_Params) {
    }
    updateStateVars(params: FuncAIndex_Params) {
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
    }
    aboutToBeDeleted() {
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Row.create();
            Row.height('100%');
        }, Row);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Column.create({ space: 20 });
            Column.width('100%');
        }, Column);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Button.createWithLabel('停止当前UIAbility实例');
            Button.onClick(() => {
                let context: common.UIAbilityContext = getContext(this) as common.UIAbilityContext;
                context.terminateSelf((err) => {
                    if (err.code) {
                        hilog.error(DOMAIN_NUMBER, TAG, `Failed to terminate self. Code is ${err.code}, message is ${err.message}`);
                        return;
                    }
                });
            });
        }, Button);
        Button.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Button.createWithLabel('关闭所有UIAbility实例');
            Button.onClick(() => {
                let applicationContext: common.ApplicationContext = getContext(this) as common.ApplicationContext;
                applicationContext.killAllProcesses(err => {
                    if (err) {
                        hilog.info(DOMAIN_NUMBER, TAG, `Failed to killAllProcesses. Code is ${err.code}, message is ${err.message}`);
                    }
                });
            });
        }, Button);
        Button.pop();
        Column.pop();
        Row.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
    static getEntryName(): string {
        return "FuncAIndex";
    }
}
registerNamedRoute(() => new FuncAIndex(undefined, {}), "", { bundleName: "com.example.uiabilitycomponentsinteractive01", moduleName: "entry", pagePath: "pages/FuncAIndex", pageFullPath: "entry/src/main/ets/pages/FuncAIndex", integratedHsp: "false" });
